<?php
/**
* تر´¹خم³°
*
* PHP version 5
*
* @package    components.db
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class TransformException extends CharcoalException
{
	public function __construct( IModel $in_model, IModel $out_model, $message = NULL )
	{
		$msg  = " [IN model]" . get_class($in_model);
		$msg .= " [OUT model]" . get_class($out_model);
		if ( $message ){
			$msg .= " [message]$message";
		}

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}
}

return __FILE__;